estimated_params;
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %            Exogenous Processes                                       %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    se_a,0.5564,0.01,5,INV_GAMMA_PDF,1.0,2;
    crhoa,.9739,.01,.9999,BETA_PDF,0.5,0.20;

//    se_b,0.4794,0.025,5,INV_GAMMA_PDF,1.0,2;
//    crhob,.1982,.01,.9999,BETA_PDF,0.5,0.20;

    se_s,0.4794,0.025,5,INV_GAMMA_PDF,1.0,2;
    cr_s,0.5,0.01,0.9999,BETA_PDF,0.50,0.20;

    se_g,0.6441,0.01,5,INV_GAMMA_PDF,1.0,2;
    crhog,.9637,.01,.9999,BETA_PDF,0.5,0.20;

    se_f_g,0.6441,0.01,5,INV_GAMMA_PDF,1.0,2;

    se_f_a,0.5564,0.01,5,INV_GAMMA_PDF,1.0,2;

    se_t_l,0.2882,0.01,3,INV_GAMMA_PDF,0.5,0.1;
    crho_tl,0.9348,.01,.9999,BETA_PDF,0.5,0.20;

//    se_qs,0.8409,0.01,3,INV_GAMMA_PDF,1.0,2;
//    crhoqs,.3731,.01,.9999,BETA_PDF,0.5,0.20;

//        se_w,0.2830,0.01,3,INV_GAMMA_PDF,1.0,2;
//        crhow,.9762,.001,.9999,BETA_PDF,0.5,0.20;

    se_m,0.2141,0.01,3,INV_GAMMA_PDF,1.0,2;
    crhoms,.1976,.01,.9999,BETA_PDF,0.5,0.20;

    se_pinf,0.1990,0.01,3,INV_GAMMA_PDF,1.0,2;
    crhopinf,.9645,.01,.9999,BETA_PDF,0.5,0.20;

// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %            STRUCTURAL PARAMETERS                                     %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    csadjcost,9.4011,0.05,15,NORMAL_PDF,4,1.5;

    czcap,0.3374,0.01,0.99,BETA_PDF,0.5,0.15;
//        calfa,0.1972,0.01,1.0,NORMAL_PDF,0.3,0.05;
        cfc,1.4259,1.0,3,NORMAL_PDF,1.25,0.125;

//    csigma,1.0446,0.25,3,NORMAL_PDF,1.50,0.375;
    chabb,0.9196,0.001,0.99,BETA_PDF,0.7,0.1;
    csigl,0.8103,0.125,10,INV_GAMMA_PDF,2,0.75;

    cprobp,0.7877,0.3,0.99,BETA_PDF,0.5,0.10;
    cindp,0.1447,0.01,0.99,BETA_PDF,0.5,0.15;

    cprobw,0.7774,0.3,0.99,BETA_PDF,0.5,0.1;
    cindw,0.5611,0.01,0.99,BETA_PDF,0.5,0.15;

// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %            Observation equations - some linked to structural         %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//    consterev_l ,0.0164,-2,2,NORMAL_PDF,0,0.20;
//    constepinf,0.6437,0.1,2.0,GAMMA_PDF,0.625,0.1;;
//    constebeta,0.1379,0.01,2.0,GAMMA_PDF,0.25,0.1;;
//    constelab,0.8378,-10.0,10.0,NORMAL_PDF,0.0,2.0;
//    cy,0,-10.0,10.0,NORMAL_PDF,0.0,2.0;

//    ctrend,0.5030,0.1,0.8,NORMAL_PDF,0.4,0.10;

// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %            MONETARY PARAMETERS                                       %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

    crpi,1.4761,1.0,3,NORMAL_PDF,1.5,0.25;
    cry,0.0960,-0.1,0.5,NORMAL_PDF,0.125,0.05;
//    crdy,0.1000,0.001,0.5,NORMAL_PDF,0.125,0.05;
    crr,0.8957,0.5,0.975,BETA_PDF,0.75,0.10;
        
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %            FISCAL PARAMETERS                                         %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

    cpsi_g_y,0.0022,-5.0,5.0,NORMAL_PDF,0.5,0.50;
    cpsi_g_b,0.1,0.0001,5,GAMMA_PDF,1,0.5;
    cr_g,.5,.001,.9999,BETA_PDF,0.5,0.20;

    cpsi_f_g_y,0.0022,-5.0,5.0,NORMAL_PDF,0.5,0.50;
    cpsi_f_g_b,0.1,0.0001,5,GAMMA_PDF,1,0.5;

    cpsi_l_y,-0.0132,-5.0,5.0,NORMAL_PDF,1.0,0.50;
    cpsi_l_b,0.1,0.0001,5,GAMMA_PDF,1,0.5;
    cr_tl,0.5,0.001,0.9999,BETA_PDF,0.50,0.20;

    cpsi_s_y,-0.0132,-5.0,5.0,NORMAL_PDF,0.0,0.50;
    cpsi_s_b,0.1,0.0001,5,GAMMA_PDF,1,0.5;

// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %            NARRATIVE PARAMETERS                                      %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

//                c_g_signal,0,-5.0,5.0,NORMAL_PDF,1.0,0.50;
//                c_g_signal_a,0,-5.0,5.0,NORMAL_PDF,0.0,0.50;
//                c_g_signal_b,0,-5.0,5.0,NORMAL_PDF,0.0,0.50; 
//c_signal_m,   1.0 ,0.01,10,INV_GAMMA_PDF,1.0,0.5;
//c_signal_t_l, 1.0 ,0.01,10,INV_GAMMA_PDF,1.0,0.5;
//c_signal_g,   1.0 ,0.01,10,INV_GAMMA_PDF,1.0,0.5;
//                c_g_signal_nx,0,-5.0,5.0,NORMAL_PDF,0.0,0.50; 
//                c_g_signal_qs,0,-5.0,5.0,NORMAL_PDF,0.0,0.50; 
//                c_g_signal_pinf,0,-5.0,5.0,NORMAL_PDF,0.0,0.50; 
//                c_g_signal_w,0,-5.0,5.0,NORMAL_PDF,0.0,0.50;
//se_signal_m,0.5 ,0.01,5,INV_GAMMA_PDF,1.0,0.5;
//se_signal_t_l,0.5 ,0.01,5,INV_GAMMA_PDF,1.0,0.5;
//se_signal_g,0.5 ,0.01,5,INV_GAMMA_PDF,1.0,0.5;

end;