st_cpie=1+constepinf/100;
st_cgamma=1+ctrend/100 ;
st_cbeta=1/(1+constebeta/100);
st_cby=constedebt;

st_clandap=cfc;
st_cbetabar=st_cbeta*st_cgamma^(-csigma);
st_cr=st_cpie/(st_cbeta*st_cgamma^(-csigma));
st_clandap=cfc;

@#if LABOR_ONLY==0
    st_crk=( (st_cbeta^(-1))*(st_cgamma^csigma) - (1-cdelta * (1-ctau_k) ) ) / (1-ctau_k) ;
    st_cw = (calfa^calfa*(1-calfa)^(1-calfa)/(st_clandap*st_crk^calfa))^(1/(1-calfa));
    //cw = (calfa^calfa*(1-calfa)^(1-calfa)/(st_clandap*((cbeta^(-1))*(cgamma^csigma) - (1-cdelta))^calfa))^(1/(1-calfa));
    st_cikbar=(1-(1-cdelta)/st_cgamma);
    st_cik=(1-(1-cdelta)/st_cgamma)*st_cgamma;
    st_clk=((1-calfa)/calfa)*(st_crk/st_cw);
    st_cky=cfc*(st_clk)^(calfa-1);
    st_ciy=st_cik*st_cky;
    st_ccy=1-cg-st_cik*st_cky;
    st_cwhlc=(1/clandaw)*(1-calfa)/calfa*st_crk*st_cky/st_ccy;
@#else
    st_cw =1/st_clandap; 
    %the cost wage is above the marginal wage perceived by households
    st_ciy=0;
    st_cky=0;
    st_crk=0;
    st_ccy=1-cg;
    st_cwhlc=(1/clandaw)*1/st_ccy;
@#endif
st_crkky=st_crk*st_cky;

st_cwly=1-st_crk*st_cky;

st_conster=(st_cr-1)*100;
st_csy = st_cby * ((1/st_cr)-1/(st_cgamma*st_cpie)) - cg + st_ccy * ctau_c + st_cwly * ctau_l + ctau_k * st_cky * (st_crk-cdelta); 

initval;
    mc =  0;
    @#if LABOR_ONLY==0
        zcap=0;
        rk=0;
        k=0;
        kp=0;
        inve=0;
        pk=0;
        drev_k = consterev_k;
        @#if SEPARATE_TREND==1
            dinv=ctrendinv;
        @#else
            dinv=ctrend;
        @#endif
        inve_obs=log(st_ciy)*100+cy*100; 
        drev_k = consterev_k;
        dtau_k=0;
        m_CI  =0;
        m_CI_lvl  =0;
    @#endif
    c=0;
    y=0;
    y=0;
    pinf =0;
    w=0;
    r=0;
    gc=0;
    dtau_l=0;
    s=0;
    dtau_c=0;
    debt=0;
    real_r=0;
    rev_l=0;
    Egc=0;
    @#if SEPARATE_TREND==1
        dy=ctrendy;
        dw=ctrendw;
    @#else
        dy=ctrend;
        dw=ctrend;
    @#endif
    dc=ctrend;
    infobs = constepinf;
    tb3 =   (st_cr-1)*100;
    dtau_l_obs= 100*ctau_l;
    labobs = constelab;
    drev_l = consterev_l;
    drev_c = consterev_c;
    debt_obs= constedebt*100;
    DEBT_Y = log(constedebt)*100;
    gc_obs=log(cg)*100+cy*100;
    y_obs=+cy*100;
    c_obs=log(st_ccy)*100+cy*100;
    m_signal =0;
    a_signal  =0;
    g_signal  =0;
    g_signal_def_lvl  =0;
    m_PI  =0;
    m_signal_futures  =0;
    m_signal_lvl  =0;
    m_signal_futures_lvl  =0;
    a_signal_lvl  =0;
    g_signal_lvl  =0;
    m_PI_lvl  =0;
    nx =0;
    a =0;
    b  =0;
    u_g =0;
    qs  =0;
    ms  =0;
    spinf  =0;
    sw  =0;
    u_t_l =0;
    u_t_k =0;
    u_t_c =0;
    u_s =0;
end;