// fixed parameters
cdelta=.02;
clandaw=1.15;
cg=0.20;
curvp=10;
curvw=10;

constedebt=0.6*4;

@#if DO_TAX!=2
    @#if SUB_SAMPLE==1
        ctau_l=0.146;
        ctau_c=0.079;
        ctau_k=0.323;
    @#endif
    @#if SUB_SAMPLE==2
        ctau_l=0.190;
        ctau_c=0.066;
        ctau_k=0.253;
    @#endif
    @#if SUB_SAMPLE==0
        ctau_l=0.165;
        ctau_c=0.073;
        ctau_k=0.293;
    @#endif    
@#else
    @#if SUB_SAMPLE==1
        ctau_l=0.146;
        ctau_c=0.079;
        ctau_k=0.323;
    @#endif
    @#if SUB_SAMPLE==2
        ctau_l=0.190;
        ctau_c=0.066;
        ctau_k=0.253;
    @#endif
    @#if SUB_SAMPLE==0
        ctau_l=0.165;
        ctau_c=0.073;
        ctau_k=0.293;
    @#endif    
@#endif

consterev_l =0;
consterev_k =0;
consterev_c =0;
consteexp_s=0;

cpsi_g_b=0.1;
cpsi_g_y=0.1;
cpsi_g_real=0;

ct_c_k =0;
ct_c_l =0;
cpsi_s_b =0.1;
cpsi_l_b =0.1;
cpsi_s_y  =0;
crho_tl =0.75;
crho_tk =0;
crho_tc =0;
se_t_k=0;
se_t_c=0;
se_s=0;
crho_s =0;
cpsi_l_y=0; 
ct_l_k =0;
ct_l_c =0;
cpsi_k_y =0;
cpsi_k_b =0;
ct_k_l =0;
ct_k_c =0;

se_g_signal=0.5; 
se_a_signal=0.25;
se_m_signal=0.5;
se_oil_signal=0.25;

se_tax_signal=0.05; 

c_tax_signal=0;
c_g_signal_nx=0;
c_a_signal_nx=0;
c_m_signal_nx=0;


@#if LABOR_ONLY==0
    calfa=.3;
@#else
    calfa=0;
@#endif
cbeta=.9995;
csigma=1.5;
cfc=1.15;
cnx_a=0;
cnx_b=0;

csadjcost = 4;
chabb=    0.5;    

csigl= 1;

cprobp=   1/2;
cindp=    1/2;

cprobw=   1/2;
cindw=    1/2;

czcap=    1/2;

crpi=     1.5;
crr=      0.75;

cry = 0.1; 
crdy=   0;
cry_f = 0.1; 
crdy_f=   0;
crpi_f=   0;

cr_tl =0.25;
cr_tk =0.25;
cr_g=0.25;
cr_s=0.25;

crhoa=    0.75;
crhob=    0.75;
crhog=    0.75;
crhols=   0.75;
crhoqs=   0.75;
crhoms=0.75;
crhopinf=0.75;
crhow=0.75;

constelab=0;
constepinf=0;
ctrend=0.40;
constebeta=0.50;
cy=0;

c_g_signal =1;
c_g_signal_def =1 ;
c_PI_signal =1; 
c_g_signal =1; 
c_a_signal =1;
c_m_signal =1; 
c_oil_signal=1; 

se_a=0.1;
se_b=0.1;
se_qs=0.1;
se_m=0.1;
se_pinf=0.1;
se_w=0.1;
se_g=0.1;
se_t_l=0.1;

// Covariances between shocks
cov_t_l_g = 0;
cov_m_g   = 0;
cov_m_t_l = 0;


crho_f_t_l = 0.95;
crho_f_g   = 0.95;
se_f_t_l = 0;
se_f_g   = 0;
crho_f_a   = 0.95;
se_f_a = 0.1;
crho_f_m   = 0.95;
se_f_m = 0;

cpsi_f_g_b = cpsi_g_b ;
cpsi_f_g_y = cpsi_g_y ;
cpsi_f_l_b = cpsi_l_b ;
cpsi_f_l_y = cpsi_l_y ;

c_PI_signal =1;
c_CI_signal =1;
c_PI_CI_signal =0.5;
se_PI_signal=0.5*se_t_l; 
se_CI_signal=0.5*se_t_k; 


@#if SEPARATE_NX==1
    crhonx=crhog;
    se_nx=1;
@#else
    se_nx=0;
@#endif

@#if SEPARATE_TREND==1
    ctrendy=ctrend;
    ctrendinv=ctrend;
    ctrendw=ctrend;
    ctrendg=ctrend;
@#endif

c_PI_signal_a=0; 
c_PI_signal_b=0; 
c_PI_signal_m=0; 
c_PI_signal_g=0; 
c_PI_signal_qs=0; 
c_PI_signal_pinf=0; 
c_PI_signal_w=0; 

c_g_signal_a=0; 
c_g_signal_b=0; 
c_g_signal_m=0; 
c_g_signal_PI=0; 
c_g_signal_qs=0; 
c_g_signal_pinf=0; 
c_g_signal_w=0; 


c_m_signal_a=0; 
c_m_signal_b=0; 
c_m_signal_g=0; 
c_m_signal_PI=0; 
c_m_signal_qs=0; 
c_m_signal_pinf=0; 
c_m_signal_w=0; 


c_a_signal_g=0; 
c_a_signal_b=0; 
c_a_signal_m=0; 
c_a_signal_PI=0; 
c_a_signal_qs=0; 
c_a_signal_pinf=0; 
c_a_signal_w=0; 
//cr_g=0;
