% GRID=[ 1/5 1/3 1/2 1 1.5 2];
GRID=[1/5 1/2 1 3/2 2 2.5 3];
NPointsOuter=length(GRID);
innerGrid=[ 1/5 1/2 1 1.5 2 2.5 3 4]';
NPointsInner=length(innerGrid);
current_Grid=cell(NPointsOuter,1);
BF_Est_LLhood=nan(NPointsOuter,3);

% StartDataFileName='Data_GtFYDII_SPF_RR_MR_IV-tight_SD_rules_capital-l';
% EndDataFileName='-Cap-D9_EIV3-MAN_Cap-9.mat';

StartDataFileName='Data_GtFYDII_SPF_RR_MR_IV_no_t-tight_SD_rules_capital-l';
EndDataFileName='-Cap-D9_EIV3-MAN_MC-9.mat';
% 
% StartDataFileName='Data_GtFYDII_SPF_MR_IV-tight_SD_rules_capital-l';
% EndDataFileName='-Cap-D9_EIV3-MAN_Cap-9.mat';

BF_ii=0;
for DSGE_lambda=GRID;
    BF_ii=BF_ii+1;
    
    clearvars -except BF_ii current_Grid GRID BF_Est_LLhood DSGE_lambda *FileName NPointsOuter NPointsInner innerGrid
    
    load([StartDataFileName regexprep(num2str(DSGE_lambda,'%1.2f'), '\.', '-') EndDataFileName]);
    BF_Est_LLhood(BF_ii,:)=[DSGE_lambda, log_p_Y, VAR_log_p_Y];
% return
    if ~exist('DO_COST_CHANNEL','var')
        DO_COST_CHANNEL=0;
    end;
    DO_SIMULATE=1;
    
    ModFile='NK_narrative_v4.mod';
    
    run my_dynare_read_write_prior_script
    
    cd ..
    eval(['dynare ' ModFile ' noclearall']);
    
    % Use a change of measure to compute the Bayes factor
    % delete time-consuming & redundant commands in m-file

    DynareMFile  = regexp( fileread( [regexprep(ModFile, '.mod', '') '.m' ] ), '\n', 'split');
%                     DynareMFile = regexprep(DynareMFile ,'save', '\%save');
    DeleteLine=find(strncmp('save',DynareMFile,4));
    for ii=0:12
        DynareMFile{DeleteLine+ii}=[];
    end;
%                     fid = fopen(['../' regexprep(ModFile, '.mod', '') '.m' ], 'w');
    fid = fopen([regexprep(ModFile, '.mod', '') '.m' ], 'w');
    % fid = fopen(['test.m' ], 'w');
    fprintf(fid, '%s\n', DynareMFile{:});
    fclose(fid);
    clear([regexprep(ModFile, '.mod', '') '.m' ]);    
    
    cd VAR

    %%


    innerGrid_Lambda_Alt=[kron(ones(length(innerGrid),1),innerGrid), kron(innerGrid,ones(length(innerGrid),1))];
    % [0.2 0.2; 0.2 1/3; 0.2 1/2; 1/3 0.2; 1/3 1/3; 1/3 1/2; 1/2 1/5; 1/2 1/3; 1/2 1/2; 3/4];

    GG=size(innerGrid_Lambda_Alt,1);
    log_prior_ratio = NaN(DD,GG);

    floor_T_B=floor(T*(DSGE_lambda));
    floor_T_S=floor(T*(DSGE_lambda_S));



    tic;
    for dd=1:DD
        current_theta=mat_draws.S(dd,:);
        current_beta=mat_draws.B(dd,:)';
    %     current_By = reshape(current_beta(1:NoParamsC*ModelStructure.m),NoParamsC,ModelStructure.m);
    %     current_Bz = reshape(current_beta(NoParamsC*ModelStructure.m+1:end),size(myBz));
        current_V=reshape( mat_draws.V(dd,:) ,(ModelStructure.m+ModelStructure.mz),(ModelStructure.m+ModelStructure.mz));


    %     log_post_kernel_hyper_alt =...
    %         my_Dynare_DSGEVAR_Prior_fcn_v3( ModFile , M_,oo_, OriginalData, PriorStructure, DSGE_lambda_alt, ...
    %                 DSGE_lambda_S_alt, CoreList(1:ModelStructure.m,:), InstrumentList, ShockList, current_theta, ...
    %                 reshape(current_beta(1:m*(m*OriginalData.k+ConstantTerms),1), m*OriginalData.k+ConstantTerms, m), ...
    %                 reshape(current_beta( (m*(m*OriginalData.k+ConstantTerms)+1):end,1), NoXz, mz), current_V, -999, ZeroMean, 0);
                                            
        [log_post_kernel_hyper, ~, ~, N_prior, beta_prior, S_prior]=...
            my_Dynare_DSGEVAR_Prior_fcn_v3( ModFile , M_,oo_, OriginalData, ModelStructure, PriorStructure, DSGE_lambda, ...
                    DSGE_lambda_S, CoreList(1:ModelStructure.m,:), InstrumentList, ShockList, current_theta, ...
                    reshape(current_beta(1:m*(m*OriginalData.k+ConstantTerms),1), m*OriginalData.k+ConstantTerms, m), ...
                    reshape(current_beta( (m*(m*OriginalData.k+ConstantTerms)+1):end,1), NoXz, mz), current_V, -999, ZeroMean, 0);


    %     log_prior_ratio(dd,2)     = log_post_kernel_hyper_alt - log_post_kernel_hyper;       
    %     my_Dynare_DSGEVAR_Prior_fcn_v3( ModFile, M_,oo_, OriginalData, PriorStructure,DSGE_lambda, DSGE_lambda_S, ...
    %             CoreList(1:(ModelStructure.m+ModelStructure.mP),:), InstrumentList, ShockList, mat_draws.S(theta_idx,:), ...
    %             reshape(vecB_0(1:m*(m*OriginalData.k+ConstantTerms),1), m*OriginalData.k+ConstantTerms, m), ...
    %             reshape(vecB_0( (m*(m*OriginalData.k+ConstantTerms)+1):end,1), NoXz, mz), S_0, 0, ZeroMean, 1);

        % need to generate prior statistics
        for gg=1:GG    
            floor_T_B_alt=floor(T*innerGrid_Lambda_Alt(gg,1) );
            floor_T_S_alt=floor(T*innerGrid_Lambda_Alt(gg,2) );

            log_prior_ratio(dd,gg) = ( ...
                        - (ModelStructure.m + ModelStructure.mz)*( (floor_T_S_alt - floor_T_S )/2 ) *log(2) ... ok
                        + (ModelStructure.m + ModelStructure.mz)*(floor_T_S_alt /2 ) *log(floor_T_S_alt ) ... ok
                        - (ModelStructure.m + ModelStructure.mz)*(floor_T_S /2 ) *log(floor_T_S ) ... ok
                        + logMvGamma( floor_T_S /2 , ModelStructure.m + ModelStructure.mz) ... ok 
                        - logMvGamma( floor_T_S_alt /2 , ModelStructure.m + ModelStructure.mz) ... ok 
                        - ((floor_T_S_alt-floor_T_S)/2)*2*sum(log(diag(chol(current_V)))) ... ok
                        + ((floor_T_S_alt-floor_T_S)/2)*2*sum(log(diag(chol(S_prior)))) ... ok
                        - (1/2) * trace(current_V\(S_prior)) * (floor_T_S_alt - floor_T_S)...
                        + (NoParamsBeta0/2) * log( floor_T_B_alt / floor_T_B ) ...
                        - (1/2) * (current_beta-beta_prior)'*N_prior*(current_beta-beta_prior) ...
                            * ( floor_T_B_alt / floor_T_B - 1) ...
                        );
        end;
    %                 + (1/2)*2*sum(log(diag(chol( X_0'*kron(Vinv,eye(n_y))*X_0 )))) ... % ok - to highlight the similarity with the trace algebra that is based on this expression


        fprintf('.');
        if mod(dd,100)==0
            fprintf(num2str(100*dd/DD, '%1.2f p.c.'));
            fprintf('\n');
        end;

    end;
    toc;

    current_Grid{BF_ii}=[innerGrid_Lambda_Alt, log(mean(exp(log_prior_ratio),1))'];

end;

%%
plot_grid=cell(NPointsOuter,1);
close all
% figure
for BF_ii=1:NPointsOuter
        plot_grid{BF_ii}=current_Grid{BF_ii};

        
    Idx_DSGE_Lambda=current_Grid{BF_ii}(:,1)==BF_Est_LLhood(BF_ii,1);
    Idx_DSGE_Lambda_S=current_Grid{BF_ii}(:,2)==BF_Est_LLhood(BF_ii,1); 
    if BF_ii<NPointsOuter && BF_ii>1
        Idx_Intersect=find(Idx_DSGE_Lambda&Idx_DSGE_Lambda_S)+[-1;1];
    elseif BF_ii>1
        Idx_Intersect=find(Idx_DSGE_Lambda&Idx_DSGE_Lambda_S)+[-1;0];
    else
        Idx_Intersect=find(Idx_DSGE_Lambda&Idx_DSGE_Lambda_S)+[0;1];
    end;
    DesiredPoints=sort(current_Grid{BF_ii}(Idx_Intersect,1));
    
    
%     if current_Grid{BF_ii}(find(Idx_DSGE_Lambda&Idx_DSGE_Lambda_S),1)>1.5
%         
%     end;
    CombinedIdx= intersect( find(current_Grid{BF_ii}(:,1)>=DesiredPoints(1) & current_Grid{BF_ii}(:,1)<=DesiredPoints(2)), ...
            find(current_Grid{BF_ii}(:,2)>=DesiredPoints(1) & current_Grid{BF_ii}(:,2)<=DesiredPoints(2)) );
    
    plot_grid{BF_ii}(setdiff(1:NPointsInner^2,CombinedIdx),3)=NaN;
        
% %     current_Grid{BF_ii}(CombinedIdx,:)
% %     reshape(current_Grid{BF_ii}(CombinedIdx,3),3,3)
% %     meshc(reshape(current_Grid{BF_ii}(CombinedIdx,1),3,3),reshape(current_Grid{BF_ii}(CombinedIdx,2),3,3),reshape(current_Grid{BF_ii}(CombinedIdx,3),3,3))
%     hold all
%     surfc(reshape(current_Grid{BF_ii}(CombinedIdx,1),3,3),reshape(current_Grid{BF_ii}(CombinedIdx,2),3,3),reshape(current_Grid{BF_ii}(CombinedIdx,3),3,3))
%     hold all
end;

% for BF_ii=2:6
%     if plot_grid{BF_ii}(plot_grid{BF_ii}(:,3)==0)>1.5
%         plot_grid{BF_ii}( plot_grid{BF_ii}(:,3)< & plot_grid{BF_ii}(:,1)==plot_grid{BF_ii}(:,2) & ~isnan(plot_grid{BF_ii}(:,3)))
%     else
%         
%     end;
%     
% end;
%%
ii=6;
plot_grid{ii}(:,3)=plot_grid{ii}(:,3) - plot_grid{ii}(plot_grid{ii}(:,1)==plot_grid{ii}(:,2) & plot_grid{ii}(:,1)==2 ,3);
plot_grid{ii}

ii=4;
plot_grid{ii}(:,3)=plot_grid{ii}(:,3)-plot_grid{ii}(plot_grid{ii}(:,1)==plot_grid{ii}(:,2) & plot_grid{ii}(:,1)==2,3);
plot_grid{ii}

% if more than one step away, need an extra step
ii=3;
plot_grid{ii}(:,3)=plot_grid{ii}(:,3)-plot_grid{ii}(plot_grid{ii}(:,1)==plot_grid{ii}(:,2) & plot_grid{ii}(:,1)==1.5,3) ...
    +plot_grid{ii+1}(plot_grid{ii+1}(:,1)==plot_grid{ii+1}(:,2) & plot_grid{ii+1}(:,1)==1.5,3);
plot_grid{ii}

ii=2;
plot_grid{ii}(:,3)=plot_grid{ii}(:,3)-plot_grid{ii}(plot_grid{ii}(:,1)==plot_grid{ii}(:,2) & plot_grid{ii}(:,1)==1,3) ...
    +plot_grid{ii+1}(plot_grid{ii+1}(:,1)==plot_grid{ii+1}(:,2) & plot_grid{ii+1}(:,1)==1,3);
plot_grid{ii}

ii=1;
plot_grid{ii}(:,3)=plot_grid{ii}(:,3)-plot_grid{ii}(plot_grid{ii}(:,1)==plot_grid{ii}(:,2) & plot_grid{ii}(:,1)==1/2,3) ...
    +plot_grid{ii+1}(plot_grid{ii+1}(:,1)==plot_grid{ii+1}(:,2) & plot_grid{ii+1}(:,1)==1/2,3);
plot_grid{ii}
%%
close all

figure;

hold all;
ii=0;
EnvelopeCoordinates=[];
for BF_ii=[5 4 3 2 6 7]
    ii=ii+1;
    tmp_unique=unique(plot_grid{BF_ii}(~isnan(plot_grid{BF_ii}(:,3)),2));
    for tt=tmp_unique'
        IDX=plot_grid{BF_ii}(:,2)==tt & ~isnan(plot_grid{BF_ii}(:,3));
        if mod(BF_ii,2)==0
            hndl=plot(plot_grid{BF_ii}(IDX ,1),plot_grid{BF_ii}(IDX,3), '-x', 'MarkerSize', 10, 'LineWidth', 2);
        else
            hndl=plot(plot_grid{BF_ii}(IDX ,1),plot_grid{BF_ii}(IDX,3), '-o', 'MarkerSize', 10, 'LineWidth', 2);
        end;
        hold all;
        tmp_grid=plot_grid{BF_ii}(IDX ,1)';
        display([BF_ii, tt, plot_grid{BF_ii}(IDX ,1)']);
%         if BF_ii==1 && tt==1/3
%             return;
%         end;
        if tt-tmp_grid(2)<0 && BF_ii>1
            set(hndl, {'Color'}, {[1 0 0]*0}, {'LineStyle'},{':'});
        elseif tt-tmp_grid(2)>0
            set(hndl, {'Color'}, {[0 0.5 0]*0}, {'LineStyle'},{'--'});
        else
            EnvelopeCoordinates=[EnvelopeCoordinates;[tt, plot_grid{BF_ii}(IDX & plot_grid{BF_ii}(:,1)==tt,3)]];
            set(hndl, {'Color'}, {[0 0 0]*0}, {'LineStyle'},{'-'});
        end;
%         hold all;
    end;
    grid on;
    axis([0.5 3.0 -70 50]);
%         input('anything');
    if BF_ii==5
        legend({'lower T_0^V';'T_0^B = T_0^V';'higher T_0^V'},'Location','SouthEast');
    end;
    ylabel('Bayes factor (log)')
    xlabel('weight on dynamics T_0^B given T_0^V')
    set(findall(gcf,'type','axes'),'fontsize',18);
    print('-depsc',['Graphs/BF' VAR_PostFix num2str(ii,'%1.0f') '.eps']);
end;
hold all;
[~,IDX]=sort(EnvelopeCoordinates(:,1));
%plot(EnvelopeCoordinates(IDX,1),EnvelopeCoordinates(IDX,2),'-r', 'LineWidth',2);
% text(1.15,10,'T_0^B=T_0^V','FontSize',18,'Color',[1 0 0])
    print('-depsc',['Graphs/BF' VAR_PostFix '_all.eps']);

%%
close all
figure;
x = [1/5 1/3 1/2 3/4 1 1.5 2]; y = [1/5 1/3 1/2 3/4 1 1.5 2]; z = -40:20:20;

[X1 Y1 Z1] = meshgrid(x([1 end]),y,z);
X1 = permute(X1,[2 1 3]); Y1 = permute(Y1,[2 1 3]); Z1 = permute(Z1,[2 1 3]);
X1(end+1,:,:) = NaN; Y1(end+1,:,:) = NaN; Z1(end+1,:,:) = NaN;
[X2 Y2 Z2] = meshgrid(x,y([1 end]),z);
X2(end+1,:,:) = NaN; Y2(end+1,:,:) = NaN; Z2(end+1,:,:) = NaN;
[X3 Y3 Z3] = meshgrid(x,y,z([1 end]));
X3 = permute(X3,[3 1 2]); Y3 = permute(Y3,[3 1 2]); Z3 = permute(Z3,[3 1 2]);
X3(end+1,:,:) = NaN; Y3(end+1,:,:) = NaN; Z3(end+1,:,:) = NaN;

%#figure('Renderer','opengl')
h = line([X1(:);X2(:);X3(:)], [Y1(:);Y2(:);Y3(:)], [Z1(:);Z2(:);Z3(:)]);
set(h, 'Color',[0.5 0.5 1], 'LineWidth',1, 'LineStyle','-')

% % %#set(gca, 'Box','on', 'LineWidth',2, 'XTick',x, 'YTick',y, 'ZTick',z, ...
% % %#  'XLim',[x(1) x(end)], 'YLim',[y(1) y(end)], 'ZLim',[z(1) z(end)])
% % %#xlabel x, ylabel y, zlabel z
% % % axis off
view(3), axis vis3d
camproj perspective, rotate3d on