function [BlockNo, BlockIndices]=my_RandomBlock( N , Pr )
% Forms up to N random blocks with probability Pr

% Random permutation
RandIndices=randperm(N);

GroupBoundaries=[1 1+find((rand(N-1,1)<=Pr)==1)'];

BlockNo=length(GroupBoundaries);
BlockIndices=cell(BlockNo,1);

for bb=1:BlockNo-1
    BlockIndices{bb}=RandIndices(GroupBoundaries(bb):GroupBoundaries(bb+1)-1);
end

BlockIndices{BlockNo}=RandIndices(GroupBoundaries(end):end);
