function [S, Rotation]=my_summed_forecast_error(K, IV_Shock,m_all,k,i,h_min, h_max)

Rli=@(l,i) [zeros(1,i-1), eye(1,m_all*k-(i-1))]* K^l * IV_Shock;

S=0;
for hh=0:h_max
    S=S+(h_max+1-max(hh,h_min))*Rli(hh,i)'*Rli(hh,i);
end

[vecs, vals]=eig(S);
[~,idx]=sort(diag(vals), 'descend');
Rotation=vecs(:,idx);